Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596794 - GFS2: Verify that generic quota tools can perform all functions of gfs2_quota (and remove gfs2_quota)
Summary: GFS2: Verify that generic quota tools can perform all functions of gfs2_quota...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gfs2-utils
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Abhijith Das
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 658586 685136
TreeView+ depends on / blocked
 
Reported: 2010-05-27 14:15 UTC by Steve Whitehouse
Modified: 2011-06-21 17:00 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 658586 (view as bug list)
Environment:
Last Closed: 2011-06-21 17:00:49 UTC


Attachments (Terms of Use)
upstream kernel patch to make gfs2 interact with userland in 512b blocks (deleted)
2010-11-23 02:45 UTC, Abhijith Das
no flags Details | Diff
upstream kernel patch to allow gfs2 to update quota usage through quotactl (deleted)
2010-11-23 02:46 UTC, Abhijith Das
no flags Details | Diff
proposed quota-tools (linuxquota) patch to implement sync functionality (deleted)
2010-11-23 02:47 UTC, Abhijith Das
no flags Details | Diff
proposed quota-tools (linuxquota) patch to implement check functionality for gfs2 (deleted)
2010-11-23 02:48 UTC, Abhijith Das
no flags Details | Diff
proposed quota-tools (linuxquota) patch to implement check functionality for gfs2 (deleted)
2010-11-23 05:45 UTC, Abhijith Das
no flags Details | Diff
revised sync patch (deleted)
2011-01-24 07:14 UTC, Abhijith Das
no flags Details | Diff
revised quotacheck patch (deleted)
2011-01-24 07:15 UTC, Abhijith Das
no flags Details | Diff

Description Steve Whitehouse 2010-05-27 14:15:50 UTC
If we can verify that it is now possible to perform all the functions of gfs2_quota with the generic quota-tools package, then we can remove the gfs2_quota package in the upstream gfs2-utils.

This will also need some documentation to explain how to use the generic tools, and it would also be interesting to see if we might replace gfs2_quota with a wrapper script for the generic quota tools. If it is not going to be trivial, then it is better not to bother with that.

Comment 4 Abhijith Das 2010-11-23 02:45:07 UTC
Created attachment 462205 [details]
upstream kernel patch to make gfs2 interact with userland in 512b blocks

This patch is already upstream

Comment 5 Abhijith Das 2010-11-23 02:46:00 UTC
Created attachment 462206 [details]
upstream kernel patch to allow gfs2 to update quota usage through quotactl

This is already upstream

Comment 6 Abhijith Das 2010-11-23 02:47:25 UTC
Created attachment 462207 [details]
proposed quota-tools (linuxquota) patch to implement sync functionality

gfs2 can use this to sync quotas through the quotactl syscall

Comment 7 Abhijith Das 2010-11-23 02:48:31 UTC
Created attachment 462208 [details]
proposed quota-tools (linuxquota) patch to implement check functionality for gfs2

Uses the quotactl syscall to check and update gfs2 quotas from userland.

Comment 8 Abhijith Das 2010-11-23 05:45:13 UTC
Created attachment 462235 [details]
proposed quota-tools (linuxquota) patch to implement check functionality for gfs2

updated.

Comment 9 Fedora Admin XMLRPC Client 2010-12-02 17:06:12 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Abhijith Das 2010-12-07 16:51:54 UTC
Update:

I have asked Jan Kara (owns the upstream linuxquota project on sourceforge) to review and include the above two quota-tools patches for sync and check. Haven't heard back from him.
Meanwhile, Petr Pisar (who works on linuxquota for RHEL/Fedora) took a look and approved these patches.

rpc.rquotad:
When configured with --enable-rpcsetquota=yes , I got edquota to get/set quota limit/warn values on a gfs2 fs mounted over nfs. Looking at the code in repquota.c, it doesn't look like repquota works with rpc. Petr, can you confirm?

With this, I think most of the things required for gfs2 support are in place. I'm going to do some more testing with these patches to check if we missed anything.

Comment 11 Petr Pisar 2011-01-10 15:07:52 UTC
(In reply to comment #10)
> Looking at the code in repquota.c, it doesn't look like repquota works with
> rpc. Petr, can you confirm?
> 
Yes. You are right `repquota' does not work over RPC. Tested with ext3 and gfs2. I filed bug to upstream: https://sourceforge.net/tracker/?func=detail&aid=3154328&group_id=18136&atid=118136

Comment 12 Abhijith Das 2011-01-24 07:14:52 UTC
Created attachment 474903 [details]
revised sync patch

Revised on basis of Jan Kara's comments. Also posted to the sourceforge linuxquota project page

Comment 13 Abhijith Das 2011-01-24 07:15:49 UTC
Created attachment 474904 [details]
revised quotacheck patch

Revised on basis of Jan Kara's comments. Also posted to the sourceforge linuxquota project page

Comment 14 Petr Pisar 2011-02-04 13:18:33 UTC
Both patches have been accepted by upstream and back-ported into Fedora 15 in package quota-4.00-0.6.pre1.fc15.

Comment 15 Steve Whitehouse 2011-02-08 12:10:37 UTC
Cool. It sounds like the first part of this is done. Next thing is to remove gfs2_quota from rawhide at the next convenient opportunity and then we can close this one.

We will also need to ensure that we document that change so that people can find the new tools. We'll need to release note it when it happens at the very least.

Comment 17 Abhijith Das 2011-06-21 17:00:49 UTC
Closing bug as NEXTRELEASE as the only things left to do are releasenotes/documentation related.


Note You need to log in before you can comment on or make changes to this bug.